> For the complete documentation index, see [llms.txt](https://docs.odinbot.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.odinbot.io/api-documentation/api-methods/get-v1-auto-sell-profile-id.md).

# GET /v1/auto-sell-profile/{id}

## Fetch a single auto-sell profile by its id.

> Retrieve the AutoSellProfile matching the provided \`id\`.   The \`id\` corresponds to the \`autoSellProfileKey\` used in Controls or Mirror. &#x20;

```json
{"openapi":"3.1.1","info":{"title":"Odinbot API","version":"0.1.0"},"servers":[{"url":"https://api.odinbot.io"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","name":"x-api-key","in":"header"}},"responses":{"401":{"description":"Unauthorized. Make sure you're using the right api key.","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Message"}}}}}},"404":{"description":"Not found.","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Message"}}}}}},"429":{"description":"Too many requests","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Message"}}}}}}}},"paths":{"/v1/auto-sell-profile/{id}":{"get":{"summary":"Fetch a single auto-sell profile by its id.","description":"Retrieve the AutoSellProfile matching the provided `id`.   The `id` corresponds to the `autoSellProfileKey` used in Controls or Mirror.  ","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"object","required":["autoSellProfile"],"properties":{"autoSellProfile":{"$ref":"#components/schemas/AutoSellProfile"}}}}}},"401":{"$ref":"#/components/responses/401"},"404":{"$ref":"#/components/responses/404"},"429":{"$ref":"#/components/responses/429"}}}}}}
```
